%global momorel   1

Summary: A remote desktop system for GNOME
Name: vino

Version: 2.8.1
Release: %{momorel}m
URL: http://www.gnome.org/
License: GPL
Group: User Interface/Desktops

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.8/%{name}-%{version}.tar.bz2 2005c5df2481f6d4f16d37a750989199

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk+-devel >= 2.6.1
BuildRequires: libglade-devel >= 2.4.1
BuildRequires: GConf-devel >= 2.8.1
BuildRequires: libgnomeui-devel >= 2.8.0
BuildRequires: libgcrypt-devel >= 1.2.0

Requires: gtk+ >= 2.6.1
Requires: libglade >= 2.4.1
Requires: GConf >= 2.8.1
Requires: libgnomeui >= 2.8.0
Requires: libgcrypt >= 1.2.0
Prereq: GConf >= 2.8.0

# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=131632
Patch1: vino-nohelp.patch

%description
Vino is a VNC server for GNOME. It allows remote users to
connect to a running GNOME session using VNC.

%prep
%setup -q

%patch1 -p1 -b .nohelp

%build
%configure --disable-gnutls --disable-session-support --disable-http-server
make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original                   \
  --dir %{buildroot}%{_datadir}/control-center-2.0/capplets             \
  --add-only-show-in GNOME                                              \
  --add-category X-Momonga-Base                                         \
  %{buildroot}%{_datadir}/control-center-2.0/capplets/vino-preferences.desktop

# stuff we don't want
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/vino/vino-client.*

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="vino-server.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README docs/TODO docs/remote-desktop.txt
%{_datadir}/gnome/vino/*.glade
%{_datadir}/control-center-2.0/capplets/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/locale/*/*/*.mo
%{_libdir}/bonobo/servers/*.server
%{_bindir}/*
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas


%changelog
* Thu Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.1-1m)
- import from Fedora

* Tue Oct 12 2004 Mark McLoughlin <markmc@redhat.com> 2.8.1-1
- Update to 2.8.1
- Remove backported fixes

* Thu Oct  7 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1.1
- Don't hang with metacity's "reduced resources" mode (#134240) 
- Improve the key repeat rate situation a good deal (#134451)

* Wed Sep 29 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1
- Update to 2.8.0.1

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-1
- Update to 2.8.0
- Remove upstreamed work-without-gnutls patch

* Tue Sep  7 2004 Matthias Clasen <mclasen@redhat.com> 2.7.92-3
- Disable help button until there is help (#131632)
 
* Wed Sep  1 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-2
- Add patch to fix hang without GNU TLS (bug #131354)

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-1
- Update to 2.7.92

* Tue Aug 17 2004 Mark McLoughlin <markmc@redhat.com> 2.7.91-1
- Update to 2.7.91

* Mon Aug 16 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-2
- Define libgcrypt_version

* Thu Aug 12 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-1
- Update to 2.7.90

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.7.4-1
- Update to 2.7.4

* Tue Jul 13 2004 Mark McLoughlin <markmc@redhat.com> 2.7.3.1-1
- Initial build.
